<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:34 CEST 2019 -->
<title>FBUser (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBUser (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBTraceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBUser.html" target="_top">Frames</a></li>
<li><a href="FBUser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.management</div>
<h2 title="Class FBUser" class="title">Class FBUser</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.management.FBUser</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBUser</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></pre>
<div class="block">A user in the Firebird Security Database.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:sjardine@users.sourceforge.net">Steven Jardine </a>, <a href="mailto:rrokytskyy@users.sourceforge.net">Roman Rokytskyy</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#FBUser--">FBUser</a></span>()</code>
<div class="block">Create an instance of this class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#equals-java.lang.Object-">equals</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getFirstName--">getFirstName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getGroupId--">getGroupId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getLastName--">getLastName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getMiddleName--">getMiddleName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getPassword--">getPassword</a></span>()</code>
<div class="block">Returns the password as set by setPassword.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getUserId--">getUserId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#getUserName--">getUserName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#hashCode--">hashCode</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setFirstName-java.lang.String-">setFirstName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firstName)</code>
<div class="block">Optional first name of the person using this user name.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setGroupId-int-">setGroupId</a></span>(int&nbsp;groupId)</code>
<div class="block">Optional group ID number, defined in /etc/group, to assign to the user in
 security database; reserved for future implementation</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setLastName-java.lang.String-">setLastName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;lastName)</code>
<div class="block">Optional last name of the person using this user name.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setMiddleName-java.lang.String-">setMiddleName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;middleName)</code>
<div class="block">Optional middle name of the person using this user name.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setPassword-java.lang.String-">setPassword</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</code>
<div class="block">Password for the specified user.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setUserId-int-">setUserId</a></span>(int&nbsp;userId)</code>
<div class="block">Optional user ID number, defined in /etc/passwd, to assign to the user in
 security database; reserved for future implementation</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#setUserName-java.lang.String-">setUserName</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</code>
<div class="block">User name to create in security database.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/management/FBUser.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBUser--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBUser</h4>
<pre>public&nbsp;FBUser()</pre>
<div class="block">Create an instance of this class.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getUserName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getUserName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getUserName--">getUserName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the username in the security database.</dd>
</dl>
</li>
</ul>
<a name="setUserName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserName</h4>
<pre>public&nbsp;void&nbsp;setUserName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;userName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setUserName-java.lang.String-">User</a></code></span></div>
<div class="block">User name to create in security database. Maximum length is 31
 characters. Mandatory for all operations. Must be unique.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setUserName-java.lang.String-">setUserName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userName</code> - User name</dd>
</dl>
</li>
</ul>
<a name="getPassword--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPassword</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPassword()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#getPassword--">User</a></code></span></div>
<div class="block">Returns the password as set by setPassword. This will return null in most
 cases and is only provided for add and update user functionality.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getPassword--">getPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the password for the specified user.</dd>
</dl>
</li>
</ul>
<a name="setPassword-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPassword</h4>
<pre>public&nbsp;void&nbsp;setPassword(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;password)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setPassword-java.lang.String-">User</a></code></span></div>
<div class="block">Password for the specified user. Maximum length is 31 characters. Only
 first 8 characters are significant.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setPassword-java.lang.String-">setPassword</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>password</code> - Password</dd>
</dl>
</li>
</ul>
<a name="getFirstName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFirstName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFirstName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getFirstName--">getFirstName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>first name of the person using this user name.</dd>
</dl>
</li>
</ul>
<a name="setFirstName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFirstName</h4>
<pre>public&nbsp;void&nbsp;setFirstName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;firstName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setFirstName-java.lang.String-">User</a></code></span></div>
<div class="block">Optional first name of the person using this user name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setFirstName-java.lang.String-">setFirstName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>firstName</code> - First name</dd>
</dl>
</li>
</ul>
<a name="getMiddleName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMiddleName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getMiddleName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getMiddleName--">getMiddleName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>middle name of the person using this user name.</dd>
</dl>
</li>
</ul>
<a name="setMiddleName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMiddleName</h4>
<pre>public&nbsp;void&nbsp;setMiddleName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;middleName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setMiddleName-java.lang.String-">User</a></code></span></div>
<div class="block">Optional middle name of the person using this user name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setMiddleName-java.lang.String-">setMiddleName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>middleName</code> - Middle name</dd>
</dl>
</li>
</ul>
<a name="getLastName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLastName</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getLastName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getLastName--">getLastName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>last name of the person using this user name.</dd>
</dl>
</li>
</ul>
<a name="setLastName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLastName</h4>
<pre>public&nbsp;void&nbsp;setLastName(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;lastName)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setLastName-java.lang.String-">User</a></code></span></div>
<div class="block">Optional last name of the person using this user name.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setLastName-java.lang.String-">setLastName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lastName</code> - Last name</dd>
</dl>
</li>
</ul>
<a name="getUserId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getUserId</h4>
<pre>public&nbsp;int&nbsp;getUserId()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getUserId--">getUserId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>user id number.</dd>
</dl>
</li>
</ul>
<a name="setUserId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUserId</h4>
<pre>public&nbsp;void&nbsp;setUserId(int&nbsp;userId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setUserId-int-">User</a></code></span></div>
<div class="block">Optional user ID number, defined in /etc/passwd, to assign to the user in
 security database; reserved for future implementation</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setUserId-int-">setUserId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>userId</code> - Id of the user</dd>
</dl>
</li>
</ul>
<a name="getGroupId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGroupId</h4>
<pre>public&nbsp;int&nbsp;getGroupId()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#getGroupId--">getGroupId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>group id number.</dd>
</dl>
</li>
</ul>
<a name="setGroupId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGroupId</h4>
<pre>public&nbsp;void&nbsp;setGroupId(int&nbsp;groupId)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/management/User.html#setGroupId-int-">User</a></code></span></div>
<div class="block">Optional group ID number, defined in /etc/group, to assign to the user in
 security database; reserved for future implementation</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/management/User.html#setGroupId-int-">setGroupId</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/management/User.html" title="interface in org.firebirdsql.management">User</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>groupId</code> - Id of the group</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;obj)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="hashCode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hashCode</h4>
<pre>public&nbsp;int&nbsp;hashCode()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a></code>&nbsp;in class&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/management/FBTraceManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/management/FBUserManager.html" title="class in org.firebirdsql.management"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/management/FBUser.html" target="_top">Frames</a></li>
<li><a href="FBUser.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
